## ros-noetic-marti-data-structures 2.15.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(marti_data_structures)

find_package(catkin REQUIRED)

catkin_package(
  INCLUDE_DIRS include)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-noetic-marti-data-structures (2.15.2-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 01 Sep 2022 05:00:00 -0000

ros-noetic-marti-data-structures (2.14.2-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 09 Sep 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.14.1-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 18 Aug 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.14.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.7-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 26 Jun 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.6-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.5-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.4-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 16 Jun 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.3-1buster) buster; urgency=high

  * Use setuptools instead of distutils
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Fri, 12 Jun 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.2-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.1-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 21 May 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.12.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 25 Mar 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.11.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-noetic-marti-data-structures (2.10.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-noetic-marti-data-structures (2.9.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-noetic-marti-data-structures (2.8.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-noetic-marti-data-structures (2.7.3-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-noetic-marti-data-structures (2.7.2-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-noetic-marti-data-structures (2.7.1-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-noetic-marti-data-structures (2.7.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-noetic-marti-data-structures (2.6.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-noetic-marti-data-structures (2.5.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-noetic-marti-data-structures (2.4.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-noetic-marti-data-structures (2.3.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-noetic-marti-data-structures (2.2.1-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-noetic-marti-data-structures (2.2.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-noetic-marti-data-structures (2.1.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-noetic-marti-data-structures (2.0.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-noetic-marti-data-structures (1.2.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-noetic-marti-data-structures (1.1.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-noetic-marti-data-structures (1.0.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-noetic-marti-data-structures (0.3.0-1buster) buster; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-noetic-marti-data-structures (0.2.4-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-noetic-marti-data-structures (0.2.3-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-noetic-marti-data-structures (0.2.2-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-noetic-marti-data-structures (0.2.1-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-noetic-marti-data-structures (0.2.0-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 21 Jun 2016 05:00:00 -0000

ros-noetic-marti-data-structures (0.1.5-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-noetic-marti-data-structures (0.1.4-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-noetic-marti-data-structures (0.1.3-1buster) buster; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000



=== debian/control ===
Source: ros-noetic-marti-data-structures
Section: misc
Priority: optional
Maintainer: Kris Kozak <kkozak@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-noetic-marti-data-structures
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: marti_data_structures

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-marti-data-structures//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-marti-data-structures 2.15.4

=== debian/changelog ===
ros-noetic-marti-data-structures (2.15.4-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 26 Feb 2025 06:00:00 -0000

ros-noetic-marti-data-structures (2.15.3-1focal) focal; urgency=high

  * Increase minimum CMake version to 3.16 to satisfy the compatiblity check in newer CMake versions (#732 <https://github.com/swri-robotics/marti_common/issues/732>)
    Co-authored-by: Daniel D'Souza <mailto:daniel.dsouza@swri.org>
  * Contributors: Daniel D'Souza

 -- Kris Kozak <kkozak@swri.org>  Fri, 21 Feb 2025 06:00:00 -0000

ros-noetic-marti-data-structures (2.15.2-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 01 Sep 2022 05:00:00 -0000

ros-noetic-marti-data-structures (2.14.2-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 09 Sep 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.14.1-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 18 Aug 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.14.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.7-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 26 Jun 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.6-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.5-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.4-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 16 Jun 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.3-1focal) focal; urgency=high

  * Use setuptools instead of distutils
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Fri, 12 Jun 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.2-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.1-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 21 May 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.13.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.12.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 25 Mar 2020 05:00:00 -0000

ros-noetic-marti-data-structures (2.11.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-noetic-marti-data-structures (2.10.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-noetic-marti-data-structures (2.9.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-noetic-marti-data-structures (2.8.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-noetic-marti-data-structures (2.7.3-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-noetic-marti-data-structures (2.7.2-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-noetic-marti-data-structures (2.7.1-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-noetic-marti-data-structures (2.7.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-noetic-marti-data-structures (2.6.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-noetic-marti-data-structures (2.5.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-noetic-marti-data-structures (2.4.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-noetic-marti-data-structures (2.3.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-noetic-marti-data-structures (2.2.1-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-noetic-marti-data-structures (2.2.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-noetic-marti-data-structures (2.1.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-noetic-marti-data-structures (2.0.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-noetic-marti-data-structures (1.2.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-noetic-marti-data-structures (1.1.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-noetic-marti-data-structures (1.0.0-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-noetic-marti-data-structures (0.3.0-1focal) focal; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Kris Kozak <kkozak@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-noetic-marti-data-structures (0.2.4-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-noetic-marti-data-structures (0.2.3-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-noetic-marti-data-structures (0.2.2-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-noetic-marti-data-structures (0.2.1-1focal) focal; urgency=high



 -- Kris Kozak <kkozak@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-noetic-marti-data-structures (0.2.0-1focal) focal; urgency=high
